// java wrapper for vtkGeoGraphRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoGraphRepresentation2D.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoGraphRepresentation2D_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoGraphRepresentation2D",dType)) { return me; }
  if ((res= vtkDataRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation2D *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetInputConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation2D *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetVertexLabelArrayName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetVertexLabelArrayName_14(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetVertexLabelVisibility_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetVertexLabelVisibility_16(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_VertexLabelVisibilityOn_17(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_VertexLabelVisibilityOff_18(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetLatitudeArrayName_19(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetLatitudeArrayName_110(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetLongitudeArrayName_111(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetLongitudeArrayName_112(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetVertexLabelFontSize_113(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraphRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetVertexLabelFontSize_114(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  int      temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetColorVertices_115(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetColorVertices_116(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_ColorVerticesOn_117(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_ColorVerticesOff_118(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetVertexColorArrayName_119(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetVertexColorArrayName_120(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetEdgeLabelVisibility_121(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetEdgeLabelVisibility_122(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_EdgeLabelVisibilityOn_123(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_EdgeLabelVisibilityOff_124(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetEdgeLabelArrayName_125(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetEdgeLabelArrayName_126(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetEdgeLayoutStrategy_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation2D *op;
  vtkEdgeLayoutStrategy  *temp0;
  temp0 = (vtkEdgeLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetEdgeLayoutStrategy_128(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  vtkEdgeLayoutStrategy  *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetEdgeLayoutStrategyToArcParallel_129(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategyToArcParallel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetEdgeLayoutStrategyToPassThrough_130(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategyToPassThrough();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetEdgeLabelFontSize_131(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraphRepresentation2D *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetEdgeLabelFontSize_132(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  int      temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetColorEdges_133(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetColorEdges_134(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_ColorEdgesOn_135(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_ColorEdgesOff_136(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetEdgeColorArrayName_137(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation2D *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetEdgeColorArrayName_138(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetTransform_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation2D *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetTransform_140(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_ApplyViewTheme_141(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation2D *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_PrepareForRendering_142(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareForRendering();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_SetUseLabelHierarchy_143(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->SetUseLabelHierarchy(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_GetUseLabelHierarchy_144(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetUseLabelHierarchy();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_UseLabelHierarchyOn_145(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->UseLabelHierarchyOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation2D_UseLabelHierarchyOff_146(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation2D *op;

  op = (vtkGeoGraphRepresentation2D *)vtkJavaGetPointerFromObject(env,obj);
  op->UseLabelHierarchyOff();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoGraphRepresentation2D_VTKInit(JNIEnv *, jobject)
{
  vtkGeoGraphRepresentation2D *aNewOne = vtkGeoGraphRepresentation2D::New();
  return (jlong)(size_t)(void*)aNewOne;
}
