// java wrapper for vtkGeoLineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoLineRepresentation.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoLineRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoLineRepresentation",dType)) { return me; }
  if ((res= vtkDataRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoLineRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;
  const char    *temp20;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoLineRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoLineRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_SetInputConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoLineRepresentation *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_SetLatitudeArrayName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoLineRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoLineRepresentation_GetLatitudeArrayName_14(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;
  const char    *temp20;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_SetLongitudeArrayName_15(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoLineRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoLineRepresentation_GetLongitudeArrayName_16(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;
  const char    *temp20;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_SetPointVisibility_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoLineRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetPointVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoLineRepresentation_GetPointVisibility_18(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;
  bool   temp20;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetPointVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_PointVisibilityOn_19(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PointVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_PointVisibilityOff_110(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PointVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_PrepareForRendering_111(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareForRendering();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_SetCoordinatesInArrays_112(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoLineRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetCoordinatesInArrays(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoLineRepresentation_GetCoordinatesInArrays_113(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;
  bool   temp20;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetCoordinatesInArrays();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_CoordinatesInArraysOn_114(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinatesInArraysOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_CoordinatesInArraysOff_115(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->CoordinatesInArraysOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoLineRepresentation_SetTransform_116(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoLineRepresentation *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoLineRepresentation_GetTransform_117(JNIEnv *env, jobject obj)
{
  vtkGeoLineRepresentation *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoLineRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoLineRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkGeoLineRepresentation *aNewOne = vtkGeoLineRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
