// java wrapper for vtkGeoTreeNode object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoTreeNode.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoTreeNode_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoTreeNode",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoTreeNode_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNode *op;
  const char    *temp20;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNode_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoTreeNode *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetId_12(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoTreeNode *op;
   unsigned long     temp0;
  temp0 = id0;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetId(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNode_GetId_13(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNode *op;
   unsigned long     temp20;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetId();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetLevel_14(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoTreeNode *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLevel(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNode_GetLevel_15(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNode *op;
  int      temp20;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLevel();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetLongitudeRange_16(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGeoTreeNode *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetLongitudeRange_17(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoTreeNode *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTreeNode_GetLongitudeRange_18(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNode *op;
  double  *temp20;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetLatitudeRange_19(JNIEnv *env, jobject obj,jdouble id0,jdouble id1)
{
  vtkGeoTreeNode *op;
  double   temp0;
  double   temp1;
  temp0 = id0;
  temp1 = id1;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeRange(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetLatitudeRange_110(JNIEnv *env, jobject obj,jdoubleArray id0)
{
  vtkGeoTreeNode *op;
  double temp0[2];
  void *tempArray0;
  tempArray0 = (void *)(env->GetDoubleArrayElements(id0,NULL));
  temp0[0] = ((jdouble *)tempArray0)[0];
  temp0[1] = ((jdouble *)tempArray0)[1];

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeRange(temp0);
  ((jdouble *)tempArray0)[0] = temp0[0];
  ((jdouble *)tempArray0)[1] = temp0[1];
  env->ReleaseDoubleArrayElements(id0,(jdouble *)tempArray0,0);
}

extern "C" JNIEXPORT jarray  JNICALL Java_vtk_vtkGeoTreeNode_GetLatitudeRange_111(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNode *op;
  double  *temp20;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeRange();
    return vtkJavaMakeJArrayOfDoubleFromDouble(env,temp20,2);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetChild_112(JNIEnv *env, jobject obj,jobject id0,jint id1)
{
  vtkGeoTreeNode *op;
  vtkGeoTreeNode  *temp0;
  int      temp1;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = id1;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetChild(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_SetParent_113(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTreeNode *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->SetParent(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNode_GetWhichChildAreYou_114(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNode *op;
  int      temp20;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetWhichChildAreYou();
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoTreeNode_IsDescendantOf_115(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTreeNode *op;
  vtkGeoTreeNode  *temp0;
  bool   temp20;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsDescendantOf(temp0);
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoTreeNode_CreateChildren_116(JNIEnv *env, jobject obj)
{
  vtkGeoTreeNode *op;
  int      temp20;

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->CreateChildren();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_ShallowCopy_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTreeNode *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->ShallowCopy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoTreeNode_DeepCopy_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoTreeNode *op;
  vtkGeoTreeNode  *temp0;
  temp0 = (vtkGeoTreeNode *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoTreeNode *)vtkJavaGetPointerFromObject(env,obj);
  op->DeepCopy(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoTreeNode_VTKInit(JNIEnv *, jobject)
{
  vtkGeoTreeNode *aNewOne = vtkGeoTreeNode::New();
  return (jlong)(size_t)(void*)aNewOne;
}
