// java wrapper for vtkStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStatisticsAlgorithm.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkTableAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkStatisticsAlgorithm",dType)) { return me; }
  if ((res= vtkTableAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkStatisticsAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  const char    *temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStatisticsAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkStatisticsAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_SetInputStatisticsConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkStatisticsAlgorithm *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputStatisticsConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_SetNumberOfVariables_13(JNIEnv *env, jobject obj,jint id0)
{
  vtkStatisticsAlgorithm *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfVariables(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStatisticsAlgorithm_GetNumberOfVariables_14(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  vtkIdType   temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfVariables();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_SetSampleSize_15(JNIEnv *env, jobject obj,jint id0)
{
  vtkStatisticsAlgorithm *op;
  vtkIdType   temp0;
  temp0 = id0;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSampleSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStatisticsAlgorithm_GetSampleSize_16(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  vtkIdType   temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSampleSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_SetLearn_17(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStatisticsAlgorithm *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLearn(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStatisticsAlgorithm_GetLearn_18(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  bool   temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLearn();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_SetDerive_19(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStatisticsAlgorithm *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetDerive(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStatisticsAlgorithm_GetDerive_110(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  bool   temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetDerive();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_SetAssess_111(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkStatisticsAlgorithm *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetAssess(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkStatisticsAlgorithm_GetAssess_112(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  bool   temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetAssess();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStatisticsAlgorithm_IsFullModelDerived_113(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  int      temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsFullModelDerived();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_SetColumnStatus_114(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkStatisticsAlgorithm *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_ResetAllColumnStates_115(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetAllColumnStates();
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkStatisticsAlgorithm_RequestSelectedColumns_116(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;
  int      temp20;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->RequestSelectedColumns();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkStatisticsAlgorithm_ResetRequests_117(JNIEnv *env, jobject obj)
{
  vtkStatisticsAlgorithm *op;

  op = (vtkStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetRequests();
}
