// java wrapper for vtkUnivariateStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnivariateStatisticsAlgorithm.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkStatisticsAlgorithm_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkUnivariateStatisticsAlgorithm_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkUnivariateStatisticsAlgorithm",dType)) { return me; }
  if ((res= vtkStatisticsAlgorithm_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkUnivariateStatisticsAlgorithm_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkUnivariateStatisticsAlgorithm *op;
  const char    *temp20;

  op = (vtkUnivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkUnivariateStatisticsAlgorithm_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnivariateStatisticsAlgorithm *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnivariateStatisticsAlgorithm_ResetColumns_12(JNIEnv *env, jobject obj)
{
  vtkUnivariateStatisticsAlgorithm *op;

  op = (vtkUnivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ResetColumns();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnivariateStatisticsAlgorithm_AddColumn_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnivariateStatisticsAlgorithm *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->AddColumn(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnivariateStatisticsAlgorithm_RemoveColumn_14(JNIEnv *env, jobject obj,jstring id0)
{
  vtkUnivariateStatisticsAlgorithm *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkUnivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveColumn(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnivariateStatisticsAlgorithm_SetColumnStatus_15(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkUnivariateStatisticsAlgorithm *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkUnivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColumnStatus(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkUnivariateStatisticsAlgorithm_ExecuteAssess_16(JNIEnv *env, jobject obj,jobject id0,jobject id1,jobject id2,jobject id3)
{
  vtkUnivariateStatisticsAlgorithm *op;
  vtkTable  *temp0;
  vtkDataObject  *temp1;
  vtkTable  *temp2;
  vtkDataObject  *temp3;
  temp0 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));
  temp2 = (vtkTable *)(vtkJavaGetPointerFromObject(env,id2));
  temp3 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id3));

  op = (vtkUnivariateStatisticsAlgorithm *)vtkJavaGetPointerFromObject(env,obj);
  op->ExecuteAssess(temp0,temp1,temp2,temp3);
}
