// java wrapper for vtkView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkView.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkView",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkView *op;
  const char    *temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_AddRepresentation_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->AddRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_AddRepresentation_13(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkView *op;
  int      temp0;
  vtkDataRepresentation  *temp1;
  temp0 = id0;
  temp1 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->AddRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_SetRepresentation_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_SetRepresentation_15(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkView *op;
  int      temp0;
  vtkDataRepresentation  *temp1;
  temp0 = id0;
  temp1 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_SetRepresentation_16(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkView *op;
  int      temp0;
  int      temp1;
  vtkDataRepresentation  *temp2;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRepresentation(temp0,temp1,temp2);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_AddRepresentationFromInputConnection_17(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRepresentationFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_AddRepresentationFromInputConnection_18(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkView *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  vtkDataRepresentation  *temp20;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRepresentationFromInputConnection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInputConnection_19(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInputConnection_110(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkView *op;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  vtkDataRepresentation  *temp20;
  temp0 = id0;
  temp1 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInputConnection(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInputConnection_111(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkView *op;
  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp2;
  vtkDataRepresentation  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInputConnection(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_AddRepresentationFromInput_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRepresentationFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_AddRepresentationFromInput_113(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkView *op;
  int      temp0;
  vtkDataObject  *temp1;
  vtkDataRepresentation  *temp20;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->AddRepresentationFromInput(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInput_114(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInput_115(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkView *op;
  int      temp0;
  vtkDataObject  *temp1;
  vtkDataRepresentation  *temp20;
  temp0 = id0;
  temp1 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInput(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_SetRepresentationFromInput_116(JNIEnv *env, jobject obj,jint id0,jint id1,jobject id2)
{
  vtkView *op;
  int      temp0;
  int      temp1;
  vtkDataObject  *temp2;
  vtkDataRepresentation  *temp20;
  temp0 = id0;
  temp1 = id1;
  temp2 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id2));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetRepresentationFromInput(temp0,temp1,temp2);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveRepresentation_117(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveRepresentation_118(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveRepresentation(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveAllRepresentations_119(JNIEnv *env, jobject obj)
{
  vtkView *op;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllRepresentations();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveAllRepresentations_120(JNIEnv *env, jobject obj,jint id0)
{
  vtkView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveAllRepresentations(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkView_GetNumberOfRepresentations_121(JNIEnv *env, jobject obj)
{
  vtkView *op;
  int      temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRepresentations();
  return temp20;
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkView_GetNumberOfRepresentations_122(JNIEnv *env, jobject obj,jint id0)
{
  vtkView *op;
  int      temp0;
  int      temp20;
  temp0 = id0;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfRepresentations(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_GetRepresentation_123(JNIEnv *env, jobject obj,jint id0)
{
  vtkView *op;
  int      temp0;
  vtkDataRepresentation  *temp20;
  temp0 = id0;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentation(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_GetRepresentation_124(JNIEnv *env, jobject obj,jint id0,jint id1)
{
  vtkView *op;
  int      temp0;
  int      temp1;
  vtkDataRepresentation  *temp20;
  temp0 = id0;
  temp1 = id1;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetRepresentation(temp0,temp1);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkView_IsItemPresent_125(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  bool   temp20;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsItemPresent(temp0);
  return temp20;
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkView_IsItemPresent_126(JNIEnv *env, jobject obj,jint id0,jobject id1)
{
  vtkView *op;
  int      temp0;
  vtkDataRepresentation  *temp1;
  bool   temp20;
  temp0 = id0;
  temp1 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsItemPresent(temp0,temp1);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RemoveItem_127(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkDataRepresentation  *temp0;
  temp0 = (vtkDataRepresentation *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RemoveItem(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_Update_128(JNIEnv *env, jobject obj)
{
  vtkView *op;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->Update();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_ApplyViewTheme_129(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_SetSelectionType_130(JNIEnv *env, jobject obj,jint id0)
{
  vtkView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionType(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkView_GetSelectionType_131(JNIEnv *env, jobject obj)
{
  vtkView *op;
  int      temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionType();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_SetSelectionArrayNames_132(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkStringArray  *temp0;
  temp0 = (vtkStringArray *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionArrayNames(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkView_GetSelectionArrayNames_133(JNIEnv *env, jobject obj)
{
  vtkView *op;
  vtkStringArray  *temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionArrayNames();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_SetSelectionArrayName_134(JNIEnv *env, jobject obj,jstring id0)
{
  vtkView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkView_GetSelectionArrayName_135(JNIEnv *env, jobject obj)
{
  vtkView *op;
  const char    *temp20;

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_RegisterProgress_136(JNIEnv *env, jobject obj,jobject id0,jstring id1)
{
  vtkView *op;
  vtkObject  *temp0;
  char    *temp1;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = vtkJavaUTFToChar(env,id1);

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->RegisterProgress(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkView_UnRegisterProgress_137(JNIEnv *env, jobject obj,jobject id0)
{
  vtkView *op;
  vtkObject  *temp0;
  temp0 = (vtkObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkView *)vtkJavaGetPointerFromObject(env,obj);
  op->UnRegisterProgress(temp0);
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkView_VTKInit(JNIEnv *, jobject)
{
  vtkView *aNewOne = vtkView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
