// java wrapper for vtkGeoGraphRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoGraphRepresentation.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkDataRepresentation_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkGeoGraphRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkGeoGraphRepresentation",dType)) { return me; }
  if ((res= vtkDataRepresentation_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraphRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetInputConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetVertexLabelArrayName_13(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetVertexLabelArrayName_14(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetVertexLabelVisibility_15(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetVertexLabelVisibility_16(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_VertexLabelVisibilityOn_17(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_VertexLabelVisibilityOff_18(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetExplodeFactor_19(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkGeoGraphRepresentation *op;
  double   temp0;
  temp0 = id0;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetExplodeFactor(temp0);
}

extern "C" JNIEXPORT jdouble  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetExplodeFactor_110(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  double   temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetExplodeFactor();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetNumberOfSubdivisions_111(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraphRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetNumberOfSubdivisions(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetNumberOfSubdivisions_112(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  int      temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetNumberOfSubdivisions();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetLatitudeArrayName_113(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLatitudeArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetLatitudeArrayName_114(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLatitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetLongitudeArrayName_115(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLongitudeArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetLongitudeArrayName_116(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLongitudeArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetVertexLabelFontSize_117(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraphRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetVertexLabelFontSize_118(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  int      temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetColorVertices_119(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetColorVertices_120(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_ColorVerticesOn_121(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_ColorVerticesOff_122(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetVertexColorArrayName_123(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetVertexColorArrayName_124(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetEdgeLabelVisibility_125(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetEdgeLabelVisibility_126(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_EdgeLabelVisibilityOn_127(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_EdgeLabelVisibilityOff_128(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetEdgeLabelArrayName_129(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetEdgeLabelArrayName_130(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetEdgeLayoutStrategy_131(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation *op;
  vtkEdgeLayoutStrategy  *temp0;
  temp0 = (vtkEdgeLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategy(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetEdgeLayoutStrategy_132(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  vtkEdgeLayoutStrategy  *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetEdgeLayoutStrategyToGeo_133(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategyToGeo();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetEdgeLayoutStrategyToArcParallel_134(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLayoutStrategyToArcParallel();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetEdgeLabelFontSize_135(JNIEnv *env, jobject obj,jint id0)
{
  vtkGeoGraphRepresentation *op;
  int      temp0;
  temp0 = id0;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetEdgeLabelFontSize_136(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  int      temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetColorEdges_137(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkGeoGraphRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetColorEdges_138(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  bool   temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_ColorEdgesOn_139(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_ColorEdgesOff_140(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetEdgeColorArrayName_141(JNIEnv *env, jobject obj,jstring id0)
{
  vtkGeoGraphRepresentation *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetEdgeColorArrayName_142(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  const char    *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_SetTransform_143(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation *op;
  vtkAbstractTransform  *temp0;
  temp0 = (vtkAbstractTransform *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTransform(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkGeoGraphRepresentation_GetTransform_144(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;
  vtkAbstractTransform  *temp20;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTransform();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_ApplyViewTheme_145(JNIEnv *env, jobject obj,jobject id0)
{
  vtkGeoGraphRepresentation *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkGeoGraphRepresentation_PrepareForRendering_146(JNIEnv *env, jobject obj)
{
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->PrepareForRendering();
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkGeoGraphRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkGeoGraphRepresentation *aNewOne = vtkGeoGraphRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
