#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkArcParallelEdgeStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArcParallelEdgeStrategyNewCommand();
int vtkAreaLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAreaLayoutNewCommand();
int vtkArrayMapCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkArrayMapNewCommand();
int vtkAssignCoordinatesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssignCoordinatesNewCommand();
int vtkBoxLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkBoxLayoutStrategyNewCommand();
int vtkChacoGraphReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkChacoGraphReaderNewCommand();
int vtkCircularLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCircularLayoutStrategyNewCommand();
int vtkClustering2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkClustering2DLayoutStrategyNewCommand();
int vtkCollapseGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCollapseGraphNewCommand();
int vtkCommunity2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCommunity2DLayoutStrategyNewCommand();
int vtkConstrained2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConstrained2DLayoutStrategyNewCommand();
int vtkContingencyStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkContingencyStatisticsNewCommand();
int vtkCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCorrelativeStatisticsNewCommand();
int vtkCosmicTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCosmicTreeLayoutStrategyNewCommand();
int vtkDataObjectToTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataObjectToTableNewCommand();
int vtkDelimitedTextReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDelimitedTextReaderNewCommand();
int vtkDescriptiveStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDescriptiveStatisticsNewCommand();
int vtkEdgeCentersCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEdgeCentersNewCommand();
int vtkEdgeLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEdgeLayoutNewCommand();
int vtkExtractSelectedGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExtractSelectedGraphNewCommand();
int vtkFast2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFast2DLayoutStrategyNewCommand();
int vtkFixedWidthTextReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFixedWidthTextReaderNewCommand();
int vtkForceDirectedLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkForceDirectedLayoutStrategyNewCommand();
int vtkGenerateIndexArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGenerateIndexArrayNewCommand();
int vtkGraphHierarchicalBundleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphHierarchicalBundleNewCommand();
int vtkGraphLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphLayoutNewCommand();
int vtkGraphMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphMapperNewCommand();
int vtkGraphToPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphToPolyDataNewCommand();
int vtkGroupLeafVerticesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGroupLeafVerticesNewCommand();
int vtkISIReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkISIReaderNewCommand();
int vtkInteractorStyleAreaSelectHoverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleAreaSelectHoverNewCommand();
int vtkInteractorStyleTreeMapHoverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleTreeMapHoverNewCommand();
int vtkLabeledTreeMapDataMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkLabeledTreeMapDataMapperNewCommand();
int vtkMergeColumnsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMergeColumnsNewCommand();
int vtkMergeTablesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMergeTablesNewCommand();
int vtkMultiCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMultiCorrelativeStatisticsNewCommand();
int vtkMutableGraphHelperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMutableGraphHelperNewCommand();
int vtkNetworkHierarchyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNetworkHierarchyNewCommand();
int vtkOrderStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkOrderStatisticsNewCommand();
int vtkPassThroughCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassThroughNewCommand();
int vtkPassThroughEdgeStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassThroughEdgeStrategyNewCommand();
int vtkPassThroughLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPassThroughLayoutStrategyNewCommand();
int vtkPerturbCoincidentVerticesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPerturbCoincidentVerticesNewCommand();
int vtkPCAStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPCAStatisticsNewCommand();
int vtkPruneTreeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPruneTreeFilterNewCommand();
int vtkRISReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRISReaderNewCommand();
int vtkRandomGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRandomGraphSourceNewCommand();
int vtkRandomLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRandomLayoutStrategyNewCommand();
int vtkRemoveIsolatedVerticesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRemoveIsolatedVerticesNewCommand();
int vtkSimple2DLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSimple2DLayoutStrategyNewCommand();
int vtkSliceAndDiceLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSliceAndDiceLayoutStrategyNewCommand();
int vtkSquarifyLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSquarifyLayoutStrategyNewCommand();
int vtkStackedTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStackedTreeLayoutStrategyNewCommand();
int vtkStringToCategoryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStringToCategoryNewCommand();
int vtkStringToNumericCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStringToNumericNewCommand();
int vtkTableToGraphCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToGraphNewCommand();
int vtkTableToTreeFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTableToTreeFilterNewCommand();
int vtkThresholdTableCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkThresholdTableNewCommand();
int vtkTransferAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTransferAttributesNewCommand();
int vtkTreeFieldAggregatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeFieldAggregatorNewCommand();
int vtkTreeLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeLayoutStrategyNewCommand();
int vtkTreeOrbitLayoutStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeOrbitLayoutStrategyNewCommand();
int vtkTreeLevelsFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeLevelsFilterNewCommand();
int vtkTreeMapLayoutCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeMapLayoutNewCommand();
int vtkTreeMapToPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeMapToPolyDataNewCommand();
int vtkTreeMapViewerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeMapViewerNewCommand();
int vtkTreeRingToPolyDataCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeRingToPolyDataNewCommand();
int vtkTulipReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTulipReaderNewCommand();
int vtkVertexDegreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkVertexDegreeNewCommand();
int vtkViewThemeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkViewThemeNewCommand();
int vtkViewUpdaterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkViewUpdaterNewCommand();
int vtkXMLTreeReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkXMLTreeReaderNewCommand();
int vtkPCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPCorrelativeStatisticsNewCommand();
int vtkPDescriptiveStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPDescriptiveStatisticsNewCommand();
int vtkPMultiCorrelativeStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPMultiCorrelativeStatisticsNewCommand();
int vtkPPCAStatisticsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPPCAStatisticsNewCommand();
int vtkSQLDatabaseGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLDatabaseGraphSourceNewCommand();
int vtkSQLDatabaseTableSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLDatabaseTableSourceNewCommand();
int vtkSQLGraphReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSQLGraphReaderNewCommand();
int vtkStringToTimePointCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkStringToTimePointNewCommand();
int vtkTimePointToStringCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTimePointToStringNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkinfovistcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkinfovistcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkinfovistcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkinfovistcl_Init(interp);
}


int VTK_EXPORT Vtkinfovistcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkArcParallelEdgeStrategy"), vtkArcParallelEdgeStrategyNewCommand,
                  vtkArcParallelEdgeStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAreaLayout"), vtkAreaLayoutNewCommand,
                  vtkAreaLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkArrayMap"), vtkArrayMapNewCommand,
                  vtkArrayMapCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkAssignCoordinates"), vtkAssignCoordinatesNewCommand,
                  vtkAssignCoordinatesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkBoxLayoutStrategy"), vtkBoxLayoutStrategyNewCommand,
                  vtkBoxLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkChacoGraphReader"), vtkChacoGraphReaderNewCommand,
                  vtkChacoGraphReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCircularLayoutStrategy"), vtkCircularLayoutStrategyNewCommand,
                  vtkCircularLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkClustering2DLayoutStrategy"), vtkClustering2DLayoutStrategyNewCommand,
                  vtkClustering2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCollapseGraph"), vtkCollapseGraphNewCommand,
                  vtkCollapseGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCommunity2DLayoutStrategy"), vtkCommunity2DLayoutStrategyNewCommand,
                  vtkCommunity2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConstrained2DLayoutStrategy"), vtkConstrained2DLayoutStrategyNewCommand,
                  vtkConstrained2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkContingencyStatistics"), vtkContingencyStatisticsNewCommand,
                  vtkContingencyStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCorrelativeStatistics"), vtkCorrelativeStatisticsNewCommand,
                  vtkCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkCosmicTreeLayoutStrategy"), vtkCosmicTreeLayoutStrategyNewCommand,
                  vtkCosmicTreeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataObjectToTable"), vtkDataObjectToTableNewCommand,
                  vtkDataObjectToTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDelimitedTextReader"), vtkDelimitedTextReaderNewCommand,
                  vtkDelimitedTextReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDescriptiveStatistics"), vtkDescriptiveStatisticsNewCommand,
                  vtkDescriptiveStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEdgeCenters"), vtkEdgeCentersNewCommand,
                  vtkEdgeCentersCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEdgeLayout"), vtkEdgeLayoutNewCommand,
                  vtkEdgeLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractSelectedGraph"), vtkExtractSelectedGraphNewCommand,
                  vtkExtractSelectedGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFast2DLayoutStrategy"), vtkFast2DLayoutStrategyNewCommand,
                  vtkFast2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFixedWidthTextReader"), vtkFixedWidthTextReaderNewCommand,
                  vtkFixedWidthTextReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkForceDirectedLayoutStrategy"), vtkForceDirectedLayoutStrategyNewCommand,
                  vtkForceDirectedLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGenerateIndexArray"), vtkGenerateIndexArrayNewCommand,
                  vtkGenerateIndexArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphHierarchicalBundle"), vtkGraphHierarchicalBundleNewCommand,
                  vtkGraphHierarchicalBundleCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphLayout"), vtkGraphLayoutNewCommand,
                  vtkGraphLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphMapper"), vtkGraphMapperNewCommand,
                  vtkGraphMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphToPolyData"), vtkGraphToPolyDataNewCommand,
                  vtkGraphToPolyDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGroupLeafVertices"), vtkGroupLeafVerticesNewCommand,
                  vtkGroupLeafVerticesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkISIReader"), vtkISIReaderNewCommand,
                  vtkISIReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleAreaSelectHover"), vtkInteractorStyleAreaSelectHoverNewCommand,
                  vtkInteractorStyleAreaSelectHoverCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleTreeMapHover"), vtkInteractorStyleTreeMapHoverNewCommand,
                  vtkInteractorStyleTreeMapHoverCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkLabeledTreeMapDataMapper"), vtkLabeledTreeMapDataMapperNewCommand,
                  vtkLabeledTreeMapDataMapperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMergeColumns"), vtkMergeColumnsNewCommand,
                  vtkMergeColumnsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMergeTables"), vtkMergeTablesNewCommand,
                  vtkMergeTablesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMultiCorrelativeStatistics"), vtkMultiCorrelativeStatisticsNewCommand,
                  vtkMultiCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMutableGraphHelper"), vtkMutableGraphHelperNewCommand,
                  vtkMutableGraphHelperCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNetworkHierarchy"), vtkNetworkHierarchyNewCommand,
                  vtkNetworkHierarchyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkOrderStatistics"), vtkOrderStatisticsNewCommand,
                  vtkOrderStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassThrough"), vtkPassThroughNewCommand,
                  vtkPassThroughCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassThroughEdgeStrategy"), vtkPassThroughEdgeStrategyNewCommand,
                  vtkPassThroughEdgeStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPassThroughLayoutStrategy"), vtkPassThroughLayoutStrategyNewCommand,
                  vtkPassThroughLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPerturbCoincidentVertices"), vtkPerturbCoincidentVerticesNewCommand,
                  vtkPerturbCoincidentVerticesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPCAStatistics"), vtkPCAStatisticsNewCommand,
                  vtkPCAStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPruneTreeFilter"), vtkPruneTreeFilterNewCommand,
                  vtkPruneTreeFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRISReader"), vtkRISReaderNewCommand,
                  vtkRISReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRandomGraphSource"), vtkRandomGraphSourceNewCommand,
                  vtkRandomGraphSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRandomLayoutStrategy"), vtkRandomLayoutStrategyNewCommand,
                  vtkRandomLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRemoveIsolatedVertices"), vtkRemoveIsolatedVerticesNewCommand,
                  vtkRemoveIsolatedVerticesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSimple2DLayoutStrategy"), vtkSimple2DLayoutStrategyNewCommand,
                  vtkSimple2DLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSliceAndDiceLayoutStrategy"), vtkSliceAndDiceLayoutStrategyNewCommand,
                  vtkSliceAndDiceLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSquarifyLayoutStrategy"), vtkSquarifyLayoutStrategyNewCommand,
                  vtkSquarifyLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStackedTreeLayoutStrategy"), vtkStackedTreeLayoutStrategyNewCommand,
                  vtkStackedTreeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStringToCategory"), vtkStringToCategoryNewCommand,
                  vtkStringToCategoryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStringToNumeric"), vtkStringToNumericNewCommand,
                  vtkStringToNumericCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToGraph"), vtkTableToGraphNewCommand,
                  vtkTableToGraphCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTableToTreeFilter"), vtkTableToTreeFilterNewCommand,
                  vtkTableToTreeFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkThresholdTable"), vtkThresholdTableNewCommand,
                  vtkThresholdTableCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTransferAttributes"), vtkTransferAttributesNewCommand,
                  vtkTransferAttributesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeFieldAggregator"), vtkTreeFieldAggregatorNewCommand,
                  vtkTreeFieldAggregatorCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeLayoutStrategy"), vtkTreeLayoutStrategyNewCommand,
                  vtkTreeLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeOrbitLayoutStrategy"), vtkTreeOrbitLayoutStrategyNewCommand,
                  vtkTreeOrbitLayoutStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeLevelsFilter"), vtkTreeLevelsFilterNewCommand,
                  vtkTreeLevelsFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeMapLayout"), vtkTreeMapLayoutNewCommand,
                  vtkTreeMapLayoutCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeMapToPolyData"), vtkTreeMapToPolyDataNewCommand,
                  vtkTreeMapToPolyDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeMapViewer"), vtkTreeMapViewerNewCommand,
                  vtkTreeMapViewerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeRingToPolyData"), vtkTreeRingToPolyDataNewCommand,
                  vtkTreeRingToPolyDataCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTulipReader"), vtkTulipReaderNewCommand,
                  vtkTulipReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkVertexDegree"), vtkVertexDegreeNewCommand,
                  vtkVertexDegreeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkViewTheme"), vtkViewThemeNewCommand,
                  vtkViewThemeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkViewUpdater"), vtkViewUpdaterNewCommand,
                  vtkViewUpdaterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkXMLTreeReader"), vtkXMLTreeReaderNewCommand,
                  vtkXMLTreeReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPCorrelativeStatistics"), vtkPCorrelativeStatisticsNewCommand,
                  vtkPCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPDescriptiveStatistics"), vtkPDescriptiveStatisticsNewCommand,
                  vtkPDescriptiveStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPMultiCorrelativeStatistics"), vtkPMultiCorrelativeStatisticsNewCommand,
                  vtkPMultiCorrelativeStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPPCAStatistics"), vtkPPCAStatisticsNewCommand,
                  vtkPPCAStatisticsCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLDatabaseGraphSource"), vtkSQLDatabaseGraphSourceNewCommand,
                  vtkSQLDatabaseGraphSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLDatabaseTableSource"), vtkSQLDatabaseTableSourceNewCommand,
                  vtkSQLDatabaseTableSourceCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSQLGraphReader"), vtkSQLGraphReaderNewCommand,
                  vtkSQLGraphReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkStringToTimePoint"), vtkStringToTimePointNewCommand,
                  vtkStringToTimePointCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTimePointToString"), vtkTimePointToStringNewCommand,
                  vtkTimePointToStringCommand);
  char pkgName[]="vtkInfovisTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
