// java wrapper for vtkDataRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataRepresentation.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkObject_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkDataRepresentation_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkDataRepresentation",dType)) { return me; }
  if ((res= vtkObject_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkDataRepresentation_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkDataRepresentation *op;
  const char    *temp20;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkDataRepresentation_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkDataRepresentation *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_SetInput_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataRepresentation *op;
  vtkDataObject  *temp0;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInput(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_SetInputConnection_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataRepresentation *op;
  vtkAlgorithmOutput  *temp0;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetInputConnection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataRepresentation_GetInputConnection_14(JNIEnv *env, jobject obj)
{
  vtkDataRepresentation *op;
  vtkAlgorithmOutput  *temp20;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetInputConnection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_Select_15(JNIEnv *env, jobject obj,jobject id0,jobject id1)
{
  vtkDataRepresentation *op;
  vtkView  *temp0;
  vtkSelection  *temp1;
  temp0 = (vtkView *)(vtkJavaGetPointerFromObject(env,id0));
  temp1 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id1));

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->Select(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_SetSelectable_16(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkDataRepresentation *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectable(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkDataRepresentation_GetSelectable_17(JNIEnv *env, jobject obj)
{
  vtkDataRepresentation *op;
  bool   temp20;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectable();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_SelectableOn_18(JNIEnv *env, jobject obj)
{
  vtkDataRepresentation *op;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectableOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_SelectableOff_19(JNIEnv *env, jobject obj)
{
  vtkDataRepresentation *op;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SelectableOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_UpdateSelection_110(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataRepresentation *op;
  vtkSelection  *temp0;
  temp0 = (vtkSelection *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->UpdateSelection(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataRepresentation_GetSelectionLink_111(JNIEnv *env, jobject obj)
{
  vtkDataRepresentation *op;
  vtkSelectionLink  *temp20;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionLink();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkDataRepresentation_SetSelectionLink_112(JNIEnv *env, jobject obj,jobject id0)
{
  vtkDataRepresentation *op;
  vtkSelectionLink  *temp0;
  temp0 = (vtkSelectionLink *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  op->SetSelectionLink(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkDataRepresentation_GetSelectionConnection_113(JNIEnv *env, jobject obj)
{
  vtkDataRepresentation *op;
  vtkAlgorithmOutput  *temp20;

  op = (vtkDataRepresentation *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetSelectionConnection();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkDataRepresentation_VTKInit(JNIEnv *, jobject)
{
  vtkDataRepresentation *aNewOne = vtkDataRepresentation::New();
  return (jlong)(size_t)(void*)aNewOne;
}
